Add Jmk2 build system, port lisp to it
diff --git a/bin/jmk2 b/bin/jmk2
new file mode 100755
index 0000000..a441ef9
--- /dev/null
+++ b/bin/jmk2
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Jay MaKe
+
+dir=$(CDPATH= cd -- "$(dirname -- "$0")" && pwd)
+root="$(dirname $dir)"
+jmkscript="$root/share/jmk/jmk.tcl"
+options=""
+
+disable_gtags=false
+
+while getopts "hD:" arg; do
+ case $arg in
+ h) echo "Please read the JMK manual for more information." ;;
+ D) options="$options $(echo $OPTARG | sed 's/=/ /')" ;;
+ ?) echo "Invalid argument"
+ exit 1 ;;
+ esac
+done
+
+echo "$options"
+
+for file in $(find -name Jmk2); do
+ echo "$file" > /dev/stderr
+ outdir="$(dirname $file)"
+ cat - $file << EOF | tclsh - $options > "$outdir/Makefile"
+source {$root/share/jmk/jmk.tcl}
+set root {$root}
+set jmk_build_cmd {$0}
+set jmk_build_dir {$(pwd)}
+cd {$outdir}
+array set options {$options}
+EOF
+done